Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Interface PolicyStoreMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, PropertiesListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface PolicyStoreMBean

extends PropertiesListerMBean

Provides a set of methods for managing policies in a policy store. An Authorization-provider or Role Mapping-provider MBean can optionally implement this MBean interface. Policies are expressed as XACML 2.0 Policy or PolicySet documents. Authorization-providers should expect standard `Policy` or `PolicySet` documents as described in the XACML 2.0 Core Specification. Role Mapping-providers should expect `Policy` or `PolicySet` documents consistent with role assignment policies described by the Role Based Access Control Profile, specifically the `Target` must contain:

1. An ActionAttributeDesignator with the id, urn:oasis:names:tc:xacml:1.0:action:action-id, and the value, urn:oasis:names:tc:xacml:2.0:actions:enableRole, according to anyURI-equal
2. A ResourceAttributeDesignator with the id, urn:oasis:names:tc:xacml:2.0:subject:role, and a value naming the role being assigned, according to string-equal

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.2.0.0

Field Summary
`static String` | `ACTIVE` Indicates active for evaluation status.
`static String` | `BYREFERENCE` Indicates active for evaluation when referenced by active policy set status.
`static String` | `DOCUMENT` Properties key for Policy or PolicySet document.
`static String` | `ID` Properties key for Policy or PolicySet document identifier as java.lang.String.
`static String` | `INACTIVE` Indicates inactive for evaluation status.
`static String` | `STATUS` Properties key for evaluation status as java.lang.String.
`static String` | `VERSION` Properties key for Policy or PolicySet document version as java.lang.String.

Method Summary
`void` | `addPolicy(com.bea.common.security.xacml.policy.Policy policy)` Adds policy.
`void` | `addPolicy(com.bea.common.security.xacml.policy.Policy policy, String status)` Adds policy
`void` | `addPolicy(String policy)` Adds policy.
`void` | `addPolicy(String policy, String status)` Adds policy
`void` | `addPolicySet(com.bea.common.security.xacml.policy.PolicySet set)` Adds policy set.
`void` | `addPolicySet(com.bea.common.security.xacml.policy.PolicySet set, String status)` Adds policy set.
`void` | `addPolicySet(String set)` Adds policy set.
`void` | `addPolicySet(String set, String status)` Adds policy set.
`void` | `deletePolicy(String identifier, String version)` Deletes policy with given identifier and version.
`void` | `deletePolicySet(String identifier, String version)` Deletes policy set with given identifier and version.
`String` | `getPolicySetStatus(String identifier, String version)` Returns status for policy set identified by identifier and version
`String` | `getPolicyStatus(String identifier, String version)` Returns status for policy identified by identifier and version
`String` | `listAllPolicies()` Returns cursor listing all policies
`String` | `listAllPoliciesAsString()` Returns cursor listing all policies.
`String` | `listAllPolicySets()` Returns cursor listing all policy sets
`String` | `listAllPolicySetsAsString()` Returns cursor listing all policy sets.
`void` | `modifyPolicy(com.bea.common.security.xacml.policy.Policy policy)` Updates policy.
`void` | `modifyPolicy(com.bea.common.security.xacml.policy.Policy policy, String status)` Updates policy and status.
`void` | `modifyPolicy(String policy)` Updates policy.
`void` | `modifyPolicy(String policy, String status)` Updates policy and status.
`void` | `modifyPolicySet(com.bea.common.security.xacml.policy.PolicySet set)` Updates policy set.
`void` | `modifyPolicySet(com.bea.common.security.xacml.policy.PolicySet set, String status)` Updates policy set and status.
`void` | `modifyPolicySet(String set)` Updates policy set.
`void` | `modifyPolicySet(String set, String status)` Updates policy set and status.
`void` | `modifyPolicySetStatus(String identifier, String version, String status)` Sets status for policy set identified by identifier and version
`void` | `modifyPolicyStatus(String identifier, String version, String status)` Sets status for policy identified by identifier and version
`com.bea.common.security.xacml.policy.Policy` | `readPolicy(String identifier, String version)` Reads policy with specified identifier and version
`String` | `readPolicyAsString(String identifier, String version)` Reads policy with specified identifier and version
`com.bea.common.security.xacml.policy.PolicySet` | `readPolicySet(String identifier, String version)` Reads policy set with specified identifier and version
`String` | `readPolicySetAsString(String identifier, String version)` Reads policy set with specified identifier and version

Methods inherited from interface weblogic.management.utils.PropertiesListerMBean
`getCurrentProperties`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Field Detail

### ACTIVE

    static final String ACTIVE

  Indicates active for evaluation status.

  See Also:
    Constant Field Values

### BYREFERENCE

    static final String BYREFERENCE

  Indicates active for evaluation when referenced by active policy set status.

  See Also:
    Constant Field Values

### INACTIVE

    static final String INACTIVE

  Indicates inactive for evaluation status.

  See Also:
    Constant Field Values

### DOCUMENT

    static final String DOCUMENT

  Properties key for Policy or PolicySet document. Policies will be available as instances of com.bea.common.security.xacml.policy.Policy, com.bea.common.security.xacml.policy.PolicySet, or java.lang.String, depending on the list method called.

  See Also:
    Constant Field Values

### ID

    static final String ID

  Properties key for Policy or PolicySet document identifier as java.lang.String.

  See Also:
    Constant Field Values

### VERSION

    static final String VERSION

  Properties key for Policy or PolicySet document version as java.lang.String.

  See Also:
    Constant Field Values

### STATUS

    static final String STATUS

  Properties key for evaluation status as java.lang.String.

  See Also:
    Constant Field Values

Method Detail

### listAllPolicies

    String listAllPolicies()
                           throws NotFoundException

  Returns cursor listing all policies

  Returns:
    Cursor for iterating all policies
  Throws:
    `NotFoundException` - Thrown if no policies are found

### listAllPoliciesAsString

    String listAllPoliciesAsString()
                                   throws NotFoundException

  Returns cursor listing all policies. Policies are returned as java.lang.String.

  Returns:
    Cursor for iterating all policies
  Throws:
    `NotFoundException` - Thrown if no policies are found

### listAllPolicySets

    String listAllPolicySets()
                             throws NotFoundException

  Returns cursor listing all policy sets

  Returns:
    Cursor for iterating all policy sets
  Throws:
    `NotFoundException` - Thrown if no policy sets are found

### listAllPolicySetsAsString

    String listAllPolicySetsAsString()
                                     throws NotFoundException

  Returns cursor listing all policy sets. Policy sets are returned as java.lang.String.

  Returns:
    Cursor for iterating all policy sets
  Throws:
    `NotFoundException` - Thrown if no policy sets are found

### readPolicy

    com.bea.common.security.xacml.policy.Policy readPolicy(String identifier,
                                                           String version)
                                                           throws NotFoundException

  Reads policy with specified identifier and version

  Parameters:
    `identifier` - Policy identifier
    `version` - Policy version
  Returns:
    Policy document
  Throws:
    `NotFoundException` - Thrown if matching policy is not found

### readPolicyAsString

    String readPolicyAsString(String identifier,
                              String version)
                              throws NotFoundException

  Reads policy with specified identifier and version

  Parameters:
    `identifier` - Policy identifier
    `version` - Policy version
  Returns:
    Policy document
  Throws:
    `NotFoundException` - Thrown if matching policy is not found

### readPolicySet

    com.bea.common.security.xacml.policy.PolicySet readPolicySet(String identifier,
                                                                 String version)
                                                                 throws NotFoundException

  Reads policy set with specified identifier and version

  Parameters:
    `identifier` - Policy set identifier
    `version` - Policy set version
  Returns:
    Policy set document
  Throws:
    `NotFoundException` - Thrown if matching policy set is not found

### readPolicySetAsString

    String readPolicySetAsString(String identifier,
                                 String version)
                                 throws NotFoundException

  Reads policy set with specified identifier and version

  Parameters:
    `identifier` - Policy set identifier
    `version` - Policy set version
  Returns:
    Policy set document
  Throws:
    `NotFoundException` - Thrown if matching policy set is not found

### addPolicy

    void addPolicy(com.bea.common.security.xacml.policy.Policy policy)
                   throws CreateException,
                          AlreadyExistsException

  Adds policy. Policy is set to ACTIVE status.

  Parameters:
    `policy` - Policy document
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy id and version already present in store

### addPolicy

    void addPolicy(String policy)
                   throws CreateException,
                          AlreadyExistsException

  Adds policy. Policy is set to ACTIVE status.

  Parameters:
    `policy` - Policy document
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy id and version already present in store

### addPolicy

    void addPolicy(com.bea.common.security.xacml.policy.Policy policy,
                   String status)
                   throws CreateException,
                          AlreadyExistsException

  Adds policy

  Parameters:
    `policy` - Policy document
    `status` - Policy status
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy id and version already present in store

### addPolicy

    void addPolicy(String policy,
                   String status)
                   throws CreateException,
                          AlreadyExistsException

  Adds policy

  Parameters:
    `policy` - Policy document
    `status` - Policy status
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy id and version already present in store

### addPolicySet

    void addPolicySet(com.bea.common.security.xacml.policy.PolicySet set)
                      throws CreateException,
                             AlreadyExistsException

  Adds policy set. Policy set is set to ACTIVE status.

  Parameters:
    `set` - Policy set document
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy set id and version already present in store

### addPolicySet

    void addPolicySet(String set)
                      throws CreateException,
                             AlreadyExistsException

  Adds policy set. Policy set is set to ACTIVE status.

  Parameters:
    `set` - Policy set document
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy set id and version already present in store

### addPolicySet

    void addPolicySet(com.bea.common.security.xacml.policy.PolicySet set,
                      String status)
                      throws CreateException,
                             AlreadyExistsException

  Adds policy set.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy set id and version already present in store

### addPolicySet

    void addPolicySet(String set,
                      String status)
                      throws CreateException,
                             AlreadyExistsException

  Adds policy set.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `AlreadyExistsException` - Thrown if matching policy set id and version already present in store

### modifyPolicy

    void modifyPolicy(com.bea.common.security.xacml.policy.Policy policy)
                      throws CreateException,
                             NotFoundException

  Updates policy. This operation does not change the status of policy. already present in the store.

  Parameters:
    `policy` - Policy document
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy id and version not present in store

### modifyPolicy

    void modifyPolicy(String policy)
                      throws CreateException,
                             NotFoundException

  Updates policy. This operation does not change the status of policy. already present in the store.

  Parameters:
    `policy` - Policy document
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy id and version not present in store

### modifyPolicy

    void modifyPolicy(com.bea.common.security.xacml.policy.Policy policy,
                      String status)
                      throws CreateException,
                             NotFoundException

  Updates policy and status.

  Parameters:
    `policy` - Policy document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy id and version not present in store

### modifyPolicy

    void modifyPolicy(String policy,
                      String status)
                      throws CreateException,
                             NotFoundException

  Updates policy and status.

  Parameters:
    `policy` - Policy document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy id and version not present in store

### modifyPolicySet

    void modifyPolicySet(com.bea.common.security.xacml.policy.PolicySet set)
                         throws CreateException,
                                NotFoundException

  Updates policy set. This operation does not change the status of policy set. already present in the store.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy set id and version not present in store

### modifyPolicySet

    void modifyPolicySet(String set)
                         throws CreateException,
                                NotFoundException

  Updates policy set. This operation does not change the status of policy set. already present in the store.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy set id and version not present in store

### modifyPolicySet

    void modifyPolicySet(com.bea.common.security.xacml.policy.PolicySet set,
                         String status)
                         throws CreateException,
                                NotFoundException

  Updates policy set and status.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy set id and version not present in store

### modifyPolicySet

    void modifyPolicySet(String set,
                         String status)
                         throws CreateException,
                                NotFoundException

  Updates policy set and status.

  Parameters:
    `set` - Policy set document
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if policy set is invalid or store cannot be updated
    `NotFoundException` - Thrown if matching policy set id and version not present in store

### modifyPolicyStatus

    void modifyPolicyStatus(String identifier,
                            String version,
                            String status)
                            throws CreateException,
                                   NotFoundException

  Sets status for policy identified by identifier and version

  Parameters:
    `identifier` - Policy identifier
    `version` - Policy version
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if store cannot be updated
    `NotFoundException` - Thrown if matching policy id and version not present in store

### getPolicyStatus

    String getPolicyStatus(String identifier,
                           String version)
                           throws NotFoundException

  Returns status for policy identified by identifier and version

  Parameters:
    `identifier` - Policy identifier
    `version` - Policy version
  Throws:
    `NotFoundExeption` - Thrown if matching policy id and version not present in store
    `NotFoundException`

### modifyPolicySetStatus

    void modifyPolicySetStatus(String identifier,
                               String version,
                               String status)
                               throws CreateException,
                                      NotFoundException

  Sets status for policy set identified by identifier and version

  Parameters:
    `identifier` - Policy set identifier
    `version` - Policy set version
    `status` - Policy status enumeration
  Throws:
    `CreateException` - Thrown if store cannot be updated
    `NotFoundException` - Thrown if matching policy set id and version not present in store

### getPolicySetStatus

    String getPolicySetStatus(String identifier,
                              String version)
                              throws NotFoundException

  Returns status for policy set identified by identifier and version

  Parameters:
    `identifier` - Policy set identifier
    `version` - Policy set version
  Throws:
    `NotFoundExeption` - Thrown if matching policy set id and version not present in store
    `NotFoundException`

### deletePolicy

    void deletePolicy(String identifier,
                      String version)
                      throws NotFoundException,
                             RemoveException

  Deletes policy with given identifier and version.

  Parameters:
    `identifier` - Policy identifier
    `version` - Policy version
  Throws:
    `NotFoundException` - Thrown if matching policy id and version not present in store
    `RemoveException` - Thrown if store cannot be updated

### deletePolicySet

    void deletePolicySet(String identifier,
                         String version)
                         throws NotFoundException,
                                RemoveException

  Deletes policy set with given identifier and version.

  Parameters:
    `identifier` - Policy set identifier
    `version` - Policy set version
  Throws:
    `NotFoundException` - Thrown if matching policy set id and version not present in store
    `RemoveException` - Thrown if store cannot be updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD